## libkarma 0.0.6

=== Makefile ===
LK_SRC=src
TOOLSDIR=tools
PREFIX=/usr/local
VERSION=0.0.6

export PREFIX
export VERSION

DISTNAME=libkarma-$(VERSION)
DISTFILES= $(LK_SRC)/{Jamfile,Makefile,*[ch]} \
	$(TOOLSDIR)/{Jamfile,Makefile,*[ch]} \
	karma-sharp/{Makefile,karma-sharp.pc.in,Song.cs,Device.cs} \
	Jamfile Makefile COPYING ChangeLog THANKS INSTALL TODO \
	install-sh karma-tools.spec

all: libkarma tools karma-sharp

install: libkarma tools karma-sharp
	cd $(LK_SRC) && $(MAKE) install
	cd karma-sharp && $(MAKE) install
	cd tools && $(MAKE) install

uninstall: 
	cd $(LK_SRC) && $(MAKE) uninstall
	cd karma-sharp && $(MAKE) uninstall
	cd tools && $(MAKE) uninstall

libkarma: FORCE
	cd $(LK_SRC) && $(MAKE)

tools: FORCE
	cd $(TOOLSDIR) && $(MAKE)

karma-sharp: FORCE
	cd karma-sharp && $(MAKE)

dist: 
	mkdir -p $(DISTNAME)
	mkdir -p $(DISTNAME)/$(LK_SRC)
	mkdir -p $(DISTNAME)/$(TOOLSDIR)
	mkdir -p $(DISTNAME)/karma-sharp
	for i in $(DISTFILES); do \
		cp $$i $(DISTNAME)/$$i ; \
	done
	tar czvf $(DISTNAME).tar.gz $(DISTNAME)
	$(RM) -r $(DISTNAME)

distcheck: dist
	mkdir build
	cd build && tar xzvf ../$(DISTNAME).tar.gz && \
	cd $(DISTNAME) && $(MAKE)
	$(RM) -r build

.PHONY: clean

clean-libkarma:
	( cd $(LK_SRC)    ; make clean )

clean-tools:
	( cd $(TOOLSDIR)  ; make clean )

clean-karma-sharp:
	( cd karma-sharp  ; make clean )

clean: clean-tools clean-libkarma clean-karma-sharp

FORCE:
