=== src/Makefile ===
NAME=libkarma
VERSION=0.0.6
TARGET=$(NAME)
SRCS= errors.c fdb.c hash.c karma.c karmaLan.c karmaUsb.c md5.c mountSearch.c \
	mp3.c playlist.c properties.c rio_rw.c ssdp.c status.c utf8.c \
	util.c wav.c
INST_HEADERS=lkarma.h utf8.h

LIBDIR=../lib

CC=gcc
AR=ar
RANLIB=ranlib

CFLAGS+=-fPIC -D_REENTRANT -Wall -pedantic
CFLAGS+=-ggdb -W -Wchar-subscripts -Wmissing-prototypes 
CFLAGS+=-Wmissing-declarations -Wno-switch -Wredundant-decls -Wno-unused

default: all

install:
	../install-sh -m 0755 -d $(PREFIX)/lib
	../install-sh -m 0755 -d $(PREFIX)/include
	../install-sh -m 0755 -d $(PREFIX)/include/libkarma
	../install-sh -m 0644 -t $(PREFIX)/lib/ $(LIBDIR)/$(TARGET).a
	../install-sh -m 0755 -t $(PREFIX)/lib/ $(LIBDIR)/$(TARGET).so
	../install-sh -m 0644 -t $(PREFIX)/include/libkarma/ $(INST_HEADERS)

uninstall:
	$(RM) $(PREFIX)/lib/$(TARGET).a $(PREFIX)/lib/$(TARGET).so*
	$(RM) -r $(PREFIX)/include/libkarma

OBJS = $(SRCS:.c=.o)

$(LIBDIR):
	@[ -d $(LIBDIR) ] || mkdir $(LIBDIR) > /dev/null 2>&1

$(TARGET): $(OBJS) $(LIBDIR)
	$(AR) r $(LIBDIR)/$(TARGET).a $(OBJS)
	$(RANLIB) $(LIBDIR)/$(TARGET).a

shared: $(OBJS) $(LIBDIR)
	$(CC) -shared $(OBJS) $(CFLAGS) -o $(LIBDIR)/$(TARGET).so -ltag_c

all: $(TARGET) shared

.PHONY: clean

clean:
	rm -rf $(OBJS) $(LIBDIR)/
