=== tools/Makefile ===
INCLUDES=-I../src
LIBDIR=../lib
LIBKARMA=$(LIBDIR)/libkarma.a

SRCS=pathedit.c

CC=gcc
CFLAGS+=-Wall -pedantic
LDFLAGS+=-ltag_c -lz

OBJS=$(SRCS:.c=.o)
TOOLS=riocp chprop playlist_show karma_helper

default: $(TOOLS)
all: $(TOOLS)

riocp: riocp.c $(OBJS) $(LIBKARMA)
	$(CC) $(INCLUDES) $(LDFLAGS) $(CFLAGS) $@.c -o $@ $(OBJS) $(LIBKARMA)

chprop: chprop.c $(LIBKARMA)
	$(CC) $(INCLUDES) $(LDFLAGS) $(CFLAGS) $@.c -o $@ $(LIBKARMA)

playlist_show: playlist_show.c $(LIBKARMA)
	$(CC) $(INCLUDES) $(LDFLAGS) $(CFLAGS) $@.c -o $@ $(LIBKARMA)

karma_helper: karma_helper.c
	$(CC) $(INCLUDES) $(CFLAGS) $@.c -o $@ -lusb

install:
	../install-sh -m 0755 -d $(PREFIX)/bin
	../install-sh -m 0755 -t $(PREFIX)/bin/ $(TOOLS)

uninstall:
	cd $(PREFIX)/bin && $(RM) $(TOOLS)

.PHONY: clean

clean:
	rm -rf *.o $(TOOLS)
