## libkarma 0.1.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 LK_SRC=src
 TOOLSDIR=tools
-PREFIX=/usr/local
-VERSION=0.0.6
+PREFIX=/usr
+INSTALL?=./install-sh
+VERSION=0.1.2
+SHELL=/bin/bash
 
 export PREFIX
 export VERSION
@@ -10,26 +12,40 @@
 DISTFILES= $(LK_SRC)/{Jamfile,Makefile,*[ch]} \
 	$(TOOLSDIR)/{Jamfile,Makefile,*[ch]} \
 	karma-sharp/{Makefile,karma-sharp.pc.in,Song.cs,Device.cs} \
-	Jamfile Makefile COPYING ChangeLog THANKS INSTALL TODO \
+	Jamfile Makefile COPYING ChangeLog THANKS INSTALL* TODO \
 	install-sh karma-tools.spec
+DOCS=THANKS TODO ChangeLog
+
+INSTALL_DIR     := $(INSTALL) -d -o root -g root -m 0755
+INSTALL_FILE    := $(INSTALL)    -o root -g root -m 0644
+INSTALL_PROGRAM := $(INSTALL)    -o root -g root -m 0755
+INSTALL_SCRIPT  := $(INSTALL)    -o root -g root -m 0755
 
 all: libkarma tools karma-sharp
+
+static: libkarma toolsStatic karma-sharp
 
 install: libkarma tools karma-sharp
 	cd $(LK_SRC) && $(MAKE) install
 	cd karma-sharp && $(MAKE) install
 	cd tools && $(MAKE) install
+	$(INSTALL_DIR) $(DESTDIR)/$(PREFIX)/share/doc/libkarma
+	$(INSTALL_FILE) $(DOCS) $(DESTDIR)/$(PREFIX)/share/doc/libkarma
 
 uninstall: 
 	cd $(LK_SRC) && $(MAKE) uninstall
 	cd karma-sharp && $(MAKE) uninstall
 	cd tools && $(MAKE) uninstall
+	rm -rf $(DESTDIR)/$(PREFIX)/share/doc/libkarma
 
 libkarma: FORCE
 	cd $(LK_SRC) && $(MAKE)
 
 tools: FORCE
 	cd $(TOOLSDIR) && $(MAKE)
+
+toolsStatic: FORCE
+	cd $(TOOLSDIR) && $(MAKE) static
 
 karma-sharp: FORCE
 	cd karma-sharp && $(MAKE)
@@ -39,9 +55,7 @@
 	mkdir -p $(DISTNAME)/$(LK_SRC)
 	mkdir -p $(DISTNAME)/$(TOOLSDIR)
 	mkdir -p $(DISTNAME)/karma-sharp
-	for i in $(DISTFILES); do \
-		cp $$i $(DISTNAME)/$$i ; \
-	done
+	cp --parents $(DISTFILES) $(DISTNAME)
 	tar czvf $(DISTNAME).tar.gz $(DISTNAME)
 	$(RM) -r $(DISTNAME)
