=== karma-sharp/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ASSEMBLY_SOURCES=Song.cs Device.cs
 ASSEMBLY_RESOURCES=
-MCS=$(shell which mcs)
+MCS=$(shell which gmcs)
 MCS_FLAGS = -debug
 
 ifeq ($(MCS),)
@@ -25,11 +25,11 @@
 	karma-sharp.pc.in > karma-sharp.pc
 
 ifdef HAS_MONO
-install: $(ASSEMBLY) karma-sharp.pc
-	../install-sh -d $(PREFIX)/lib/karma-sharp
-	../install-sh -d $(PREFIX)/lib/pkgconfig
-	../install-sh -t $(PREFIX)/lib/karma-sharp $(ASSEMBLY)
-	../install-sh -t $(PREFIX)/lib/pkgconfig -m 0644 karma-sharp.pc
+install: $(ASSEMBLY) karma-sharp.pc $(ASSEMBLY).config
+	../install-sh -d $(DESTDIR)$(PREFIX)/lib/karma-sharp
+	../install-sh -d $(DESTDIR)$(PREFIX)/lib/pkgconfig
+	../install-sh -t $(DESTDIR)$(PREFIX)/lib/karma-sharp $(ASSEMBLY) $(ASSEMBLY).config
+	../install-sh -t $(DESTDIR)$(PREFIX)/lib/pkgconfig -m 0644 karma-sharp.pc
 else
 install:
