=== debian/control ===
Source: libkarma
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtagc0-dev,
 libusb-dev,
 zlib1g-dev,
Build-Depends-Indep:
 dh-sequence-cli,
 cli-common-dev,
 mono-devel,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Section: libs
Homepage: https://www.freakysoft.de/libkarma/
Vcs-Git: https://salsa.debian.org/debian/libkarma.git
Vcs-Browser: https://salsa.debian.org/debian/libkarma

Package: karma-tools
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Rio Karma access library [tools]
 Some basic utilities for use with the Rio Karma music player.
 Includes:
 .
   * chprop - changes file properties on the Rio Karma
   * karma_helper - adjusts the state of the Rio Karma
   * riocp - transfers files to and from the Rio Karma

Package: libkarma-cil
Section: cli-mono
Architecture: all
Depends:
 ${cli:Depends},
 ${misc:Depends},
Description: Rio Karma access library [CLI runtime library]
 Also known as karma-sharp, this is a CLI library (.dll) that
 provides (read/write) access to the Rio Karma music player using
 either the usb (with OMFS) or network (PEARL) interface.
 .
 This package contains the runtime glue library needed by C# programs
 using the facilities provided by libkarma.

Package: libkarma-cil-dev
Section: cli-mono
Architecture: all
Depends:
 libkarma-cil (= ${binary:Version}),
 ${misc:Depends},
Description: Rio Karma access library [CLI library development files]
 Also known as karma-sharp, this is a CLI library (.dll) that
 provides (read/write) access to the Rio Karma music player using
 either the usb (with OMFS) or network (PEARL) interface.
 .
 This package contains development files for the karma-sharp library used for
 compilation.

Package: libkarma-dev
Section: libdevel
Architecture: any
Depends:
 libkarma0 (= ${binary:Version}),
 libtagc0-dev,
 ${misc:Depends},
Description: Rio Karma access library [development files]
 libkarma is a C language library that provides (read/write) access
 to the Rio Karma music player using either the usb (with OMFS) or
 network (PEARL) interface.
 .
 libkarma allows developers to do the following:
 .
   * login
   * read, write and delete music or data files
   * read and write file information
   * write music or taxi files with one function, including setting
     all metadata
 .
 This package contains the development files needed to compile
 programs using the facilities provided by libkarma.

Package: libkarma0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Rio Karma access library [runtime files]
 libkarma is a C language library that provides (read/write) access
 to the Rio Karma music player using either the usb (with OMFS) or
 network (PEARL) interface.
 .
 This package contains the runtime library needed by programs using
 the facilities provided by libkarma.
