=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build -- MCS=$(shell which mono-csc)

override_dh_auto_install:
	dh_auto_install -- MCS=$(shell which mono-csc) \
            INSTALL_DIR='$$(INSTALL) -d -m 0755' \
            INSTALL_FILE='$$(INSTALL) -m 0644' \
            INSTALL_PROGRAM='$$(INSTALL) -m 0755' \
            INSTALL_SCRIPT='$$(INSTALL) -m 0755' \

%:
	dh $@ --no-parallel

# dh_clideps expects to see dh_makeshlibs called before it, but dh_makeshlibs
# is never called when building only arch-indep packages. So we force the issue
# by making a phony shlibs.local file that dh_clideps will accept, if no others
# exist. See #806629 for the specific case of libkarma and #830416 for the bug
# in dh_clideps.
override_dh_clideps:
	if ! grep -q . debian/*/DEBIAN/shlibs; then echo libkarma 0 libkarma0 > debian/shlibs.local; fi
	dh_clideps
	rm -f debian/shlibs.local

# Upstream incldued some Makefile.orig in the tarball; exclude those to
# avoid fighting with git.
override_dh_clean:
	dh_clean -X Makefile.orig

override_dh_missing:
	dh_missing --fail-missing
