=== debian/watch ===
version=3

https://www.freakysoft.de/libkarma/ libkarma-(.*)\.tar\.gz debian uupdate
